## ros-indigo-turtlebot-arm-kinect-calibration 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_arm_kinect_calibration)

# setup
find_package(catkin REQUIRED cmake_modules cv_bridge image_geometry image_transport pcl_ros roscpp tf visualization_msgs)
find_package(Boost REQUIRED system filesystem)
find_package(PCL REQUIRED)
find_package(OpenCV REQUIRED)

link_directories(${catkin_LIBRARY_DIRS} ${Boost_LIBRARY_DIRS} ${OpenCV_LIBRARY_DIRS} ${PCL_LIBRARY_DIRS})

catkin_package(DEPENDS cv_bridge image_geometry image_transport pcl_ros roscpp tf visualization_msgs)

include_directories(include
                    SYSTEM
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    ${PCL_INCLUDE_DIRS}
                    ${OpenCV_INCLUDE_DIRS}
                   )

# node
add_executable(calibrate_kinect_checkerboard src/calibrate_kinect_checkerboard.cpp
                                             src/detect_calibration_pattern.cpp)
target_link_libraries(calibrate_kinect_checkerboard ${Boost_LIBRARIES}
                                                    ${catkin_LIBRARIES}
                                                    ${PCL_LIBRARIES}
                                                    ${OpenCV_LIBRARIES})

# install

install(TARGETS calibrate_kinect_checkerboard
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-turtlebot-arm-kinect-calibration (0.3.3-0trusty) trusty; urgency=high



 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-indigo-turtlebot-arm-kinect-calibration (0.3.2-0trusty) trusty; urgency=high



 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 29 Aug 2014 22:00:00 -0000

ros-indigo-turtlebot-arm-kinect-calibration (0.3.1-0trusty) trusty; urgency=high

  * Set separated URLs for website, repository and bugtracker

 -- Jorge Santos <jsantossimon@gmail.com>  Thu, 21 Aug 2014 22:00:00 -0000

ros-indigo-turtlebot-arm-kinect-calibration (0.3.0-0trusty) trusty; urgency=high

  * First indigo release

 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 15 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-arm-kinect-calibration
Section: misc
Priority: extra
Maintainer: Jorge Santos <jsantossimon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/turtlebot_arm_kinect_calibration
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-arm-kinect-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-visualization-msgs
Description: turtlebot_arm_kinect_calibration allows calibration of a kinect to a TurtleBot arm, including a kinect on-board and off-board the TurtleBot for more precise manipulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-arm-kinect-calibration//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
